import request from '@/utils/request'

// 获取全部用户组
export function getGroupAll() {
    return request({
        url: '/erp/gameUserGroup/all',
        method: 'get',
    })
}

// 分页查询用户组
export function getList(params) {
    return request({
        url: '/erp/gameUserGroup/list',
        method: 'post',
        data: params,
    })
}

// 获取用户组详情
export function getDetail(groupId) {
    return request({
        url: '/erp/gameUserGroup/detail/' + groupId,
        method: 'get',
    })
}

// 新增用户组
export function addGroup(data) {
    return request({
        url: '/erp/gameUserGroup/add',
        method: 'post',
        data,
    })
}

// 修改用户组
export function updateGroup(groupId, data) {
    return request({
        url: '/erp/gameUserGroup/modify/' + groupId,
        method: 'put',
        data,
    })
}

// 用户组详情
export function userGroupDetails(groupId) {
    return request({
        url: '/erp/gameUserGroup/detail/' + groupId,
        method: 'GET'
    })
}